/*  Jazz, a program for playing chess
 *  Copyright (C) 2009, 2011  Evert Glebbeek
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef TIMER_H
#define TIMER_H

uint64_t get_timer(void);

void start_clock(gamestate_t *game);

int peek_timer(const gamestate_t *game);

int get_game_time_for_move(const gamestate_t *game);

void set_ponder_timer(gamestate_t *game);
void set_infinite_time(gamestate_t *game);
void set_time_per_move(gamestate_t *game, int msec);
void set_time_for_game(gamestate_t *game);

#endif
